nlohmann::detail::lexer_base< BasicJsonType > Class Template Reference

`#include <json.hpp>`

Inheritance diagram for nlohmann::detail::lexer_base< BasicJsonType >:
Collaboration diagram for nlohmann::detail::lexer_base< BasicJsonType >:

## Public Types

enum

token_type {
token_type::uninitialized,
token_type::literal_true,
token_type::literal_false,
token_type::literal_null,
token_type::value_string,
token_type::value_unsigned,
token_type::value_integer,
token_type::value_float,
token_type::begin_array,
token_type::begin_object,
token_type::end_array,
token_type::end_object,
token_type::name_separator,
token_type::value_separator,
token_type::parse_error,
token_type::end_of_input,
token_type::literal_or_value
}

| token types for the parser More...

## Static Public Member Functions

JSON_HEDLEY_RETURNS_NON_NULL static JSON_HEDLEY_CONST const char * | token_type_name (const token_type t) noexcept
| return name of values of type token_type (only used for errors) More...

## Detailed Description

### template<typename BasicJsonType>
class nlohmann::detail::lexer_base< BasicJsonType >

Definition at line 6449 of file json.hpp.

## Member Enumeration Documentation

## token_type

template<typename BasicJsonType >

enum nlohmann::detail::lexer_base::token_type

strong

token types for the parser

Enumerator
uninitialized | indicating the scanner is uninitialized
literal_true | the `true` literal
literal_false | the `false` literal
literal_null | the `null` literal
value_string | a string – use get_string() for actual value
value_unsigned | an unsigned integer – use get_number_unsigned() for actual value
value_integer | a signed integer – use get_number_integer() for actual value
value_float | an floating point number – use get_number_float() for actual value
begin_array | the character for array begin `[`
begin_object | the character for object begin `{`
end_array | the character for array end `]`
end_object | the character for object end `}`
name_separator | the name separator `:`
value_separator | the value separator `,`
parse_error | indicating a parse error
end_of_input | indicating the end of the input buffer
literal_or_value | a literal or the begin of a value (only for diagnostics)

Definition at line 6453 of file json.hpp.

## Member Function Documentation

## token_type_name()

template<typename BasicJsonType >

JSON_HEDLEY_RETURNS_NON_NULL static JSON_HEDLEY_CONST const char* nlohmann::detail::lexer_base< BasicJsonType >::token_type_name | ( | const token_type | t | ) |

inline static noexcept

return name of values of type token_type (only used for errors)

Definition at line 6477 of file json.hpp.

The documentation for this class was generated from the following file:

- json.hpp